<?php
namespace Elementor;
use TRUSTINDEX_Feed_Tiktok;
use Elementor\Widget_Base;
defined('ABSPATH') or die('No script kiddies please!');
class TrustrindexFeedWidget_Tiktok extends Widget_Base {
public function get_name() {
return 'widgets-for-tiktok-video-feed';
}
public function get_title() {
return __('Tiktok Feed', 'widgets-for-tiktok-video-feed');
}
public function get_icon() {

return 'eicon-posts-grid';
}
public function get_categories() {
return ['trustindex'];
}
protected function render() {
$pluginManagerInstance = new TRUSTINDEX_Feed_Tiktok("tiktok", __FILE__, "1.8.2", "Widgets for Tiktok Feed", "Tiktok");
echo do_shortcode('['.$pluginManagerInstance->getShortcodeName().']');
}
}
